petsc-3.15.0 2021-03-30
Report Typos and Errors

# KSPMonitorErrorDrawLG

Plots the error and residual norm at each iteration of an iterative solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorErrorDrawLG(KSP ksp, PetscInt n, PetscReal rnorm, PetscViewerAndFormat *vf)

Collective on ksp

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| vf | - The viewer context

### Options Database Key

| -ksp_monitor_error draw::draw_lg | - Activates KSPMonitorTrueResidualDrawLG()

### See Also

KSPMonitorSet(), KSPMonitorTrueResidual()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages